{% extends "slow_forum/base_content.html"%}
{% load i18n tz slow_promote %}

{% block page_title %}{% translate "Profile of:" %} {{ user_profile.nickname|escape }}{% endblock %}

{% block breadcrumb %}
    <li class="breadcrumb-item">
        <a href="{% url 'slow_forum:user-profile-list' %}">{% translate "User profiles" %}</a>
    </li>
{% endblock %}

{% block content_title %}{{ user_profile.nickname|escape }}{% endblock %}

{% block content_actions %}
    {% if perms.slow_forum.change_user_profile or user_profile.pk == user.profile.pk %}
        <li class="nav-item ms-3">
            <a class="btn btn-outline-secondary my-auto" href="{% url 'slow_forum:user-profile-edit-profile' pk=user_profile.pk %}">{% translate "Edit" %}</a>
        </li>
    {% endif %}
{% endblock %}


{% block content %}

    <div class="user_profile_detail vstack gap-5">

        {# Picture, abstract and links block #}

        <div class="main_infos row">

            {# Left side #}

            <div class="left_side col-auto">

                {# Profile picture #}

                <div class="picture default_picture align-middle text-center">
                    <i class="bi bi-person-square"></i>
                </div>
                
            </div>

            {# Right side #}
            
            <div class="right_side col-auto vstack gap-3">

                {# Abstract #}

                <div class="abstract vstack">

                    <h2 class="text-secondary">
                        {% translate "Abstract" %}
                    </h2>

                    <div class="row">
                        <p>
                            {% if user_profile.abstract %}
                                {{ user_profile.abstract|escape|linebreaks }}
                            {% else %}
                                {% translate "No abstract" %}
                            {% endif %}
                        </p>
                    </div>

                </div>

                {# Links #}

                <div class="links vstack">

                    <h2 class="text-secondary">
                        {% translate "More about me" %}
                    </h2>

                    <div class="vstack gap-2">
                        {% for external_link in user_profile.external_link_set.all %}
                            <div class="col-auto">
                                <a href="{{ extrenal_link.url }}">
                                    {{ external_link.label }}
                                </a>
                            </div>
                        {% empty %}
                            <p>{% translate "No extrenal links defined" %}<p>
                        {% endfor %}
                    </div>
                    
                </div>
                
            </div>

        </div>

        {# Tabs #}

        <div class="user_profile_tabs">

            {# Tab selector #}

            <ul class="nav nav-tabs mb-5">

                {# General tab selector #}
                
                <li class="nav-item">
                    {% if tab_name == 'general' %}
                        <a class="nav-link active" aria-current="page" href="#">
                            <i class="bi bi-info-circle"></i> {% translate "General informations" %}
                        </a>
                    {% else %}
                        <a class="nav-link" href="{{ user_profile.get_absolute_url }}">
                            <i class="bi bi-info-circle"></i> {% translate "General informations" %}
                        </a>
                    {% endif %}
                </li>

                {# Topics list tab selector #}
                
                <li class="nav-item">
                    {% if tab_name == 'topics_list' %}
                        <a class="nav-link active" aria-current="page" href="#">
                            <i class="bi bi-chat-left"></i> {% translate "Topics" %}
                        </a>
                    {% else %}
                        <a class="nav-link" aria-current="page" href="{% url "slow_forum:user-profile-detail-tab" pk=user_profile.pk tab_name='topics_list' %}">
                            <i class="bi bi-chat-left"></i> {% translate "Topics" %}
                        </a>
                    {% endif %}
                </li>

                {# Replies list tab selector #}
                
                <li class="nav-item">
                    {% if tab_name == 'topics_replies_list' %}
                        <a class="nav-link active" aria-current="page" href="#">
                            <i class="bi bi-chat-left-text"></i> {% translate "Replies" %}
                        </a>
                    {% else %}
                        <a class="nav-link" aria-current="page" href="{% url "slow_forum:user-profile-detail-tab" pk=user_profile.pk tab_name='topics_replies_list' %}">
                            <i class="bi bi-chat-left-text"></i> {% translate "Replies" %}
                        </a>
                    {% endif %}
                </li>
            </ul>
            
            {# General and edition informations tab content #}
            {% if tab_name == 'general' %}
                <div class="user_profile_tab general vstack gap-5">

                    {# General infos #}
                    
                    <div class="general_infos vstack gap-3">

                        {# Last login #}
                        
                        <div class="">
                            {% translate "Last login at" %}
                            {% if user_profile.user.last_login %}
                                <strong>
                                    {{ user_profile.user.last_login|localtime|date:"DATE_FORMAT" }}
                                </strong>
                            {% else %}
                                <strong>
                                    {% translate "Never" %}
                                </strong>    
                            {% endif %}
                        </div>

                        {# Joined at #}
                        
                        <div class="col-auto">
                            {% translate "Joined at" %} <strong>
                            {{ user_profile.user.date_joined|localtime|date:"DATE_FORMAT" }}
                            </strong>
                        </div>

                        {# Topcis count #}
                        
                        <div class="col-auto">
                            <strong>
                                {{ user_profile.user.topic_set.count }}
                            </strong> {% translate "topics started" %}
                        </div>

                        {# Topcis replies count #}
                        
                        <div class="col-auto">
                            <strong>
                                {{ user_profile.user.topicreply_set.count}}
                            </strong> {% translate "replies posted" %}
                        </div>
                        
                    </div>

                    {# Edition infos #}

                    {% if perms.slow_forum.view_user_profile_edition_infos %}
                        <div class="edition_infos vstack gap-3">

                            {% if user_profile.edited %}

                                {# Edited by #}
                                
                                <div class="">
                                    {% translate "Edited by:" %} <a href="user_profile.edited_by.profile.get_absolute_url">{{ user_profile.edited_by.profile.nickname|escape }}</a> ({% translate "User:" %} {{ user_profile.edited_by.username|escape }}) 
                                </div>

                                {# Edited on #}
                                
                                <div class="">
                                    {% translate "Last edited on:" %} {{ user_profile.edited_on|localtime|date:"DATETIME_FORMAT" }}
                                </div>
                                
                            {% else %}

                                {# If not edited #}
                                
                                <div class="col-auto">
                                    {% translate "This profile is not edited" %}
                                </div>
                                
                            {% endif %}

                        </div>
                    {% endif %}
                    
                </div>
            {% endif %}

            {# User topics list tab content #}
            {% if tab_name == 'topics_list' %}
                <div class="user_profile_tab topics_list">

                    {% for topic in topics_list %}

                        {% promote_topic topic %}
                        
                    {% empty %}
                        <p>
                            {% translate "Not topic created by this person." %}
                        </p>
                    {% endfor %}
                    
                </div>
            {% endif %}

            {# User replies list tab content #}
            {% if tab_name == 'topics_replies_list' %}
                <div class="user_profile_tab topics_replies_list">

                    {% for topic_reply in topics_replies_list %}

                        {% promote_topic_reply topic_reply %}
                        
                    {% empty %}
                        <p>
                            {% translate "Not reply, to a to topic, by this person." %}
                        </p>
                    {% endfor %}
                    
                </div>
            {% endif %}

        </div>

    </div>
    
{% endblock %}
